be.fgov.ehealth.consultrn.commons.core.v3

## Class PersonRequestType

- java.lang.Object
- - be.fgov.ehealth.consultrn.commons.core.v3.PersonRequestType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:07:12+02:00",
                 comments="JAXB RI v2.2.11")
      public class PersonRequestType
      extends Object
      implements Serializable

  information about the person (with SSIN)

  Java class for PersonRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PersonRequestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Name" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}PersonNameRequestType"/>
               <element name="Nationalities" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}NationalitiesType" minOccurs="0"/>
               <element name="Birth" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}BirthRequestType"/>
               <element name="Decease" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}DeceaseRequestType" minOccurs="0"/>
               <element name="Gender" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}GenderType" minOccurs="0"/>
               <element name="CivilStates" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}CivilStatesRequestType" minOccurs="0"/>
               <element name="ResidentialAddress" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}ResidentialAddressRequestType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersonRequestType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BirthRequestType` | `getBirth()` Gets the value of the birth property.
    `CivilStatesRequestType` | `getCivilStates()` Gets the value of the civilStates property.
    `DeceaseRequestType` | `getDecease()` Gets the value of the decease property.
    `GenderType` | `getGender()` Gets the value of the gender property.
    `PersonNameRequestType` | `getName()` Gets the value of the name property.
    `NationalitiesType` | `getNationalities()` Gets the value of the nationalities property.
    `ResidentialAddressRequestType` | `getResidentialAddress()` Gets the value of the residentialAddress property.
    `void` | `setBirth(BirthRequestType value)` Sets the value of the birth property.
    `void` | `setCivilStates(CivilStatesRequestType value)` Sets the value of the civilStates property.
    `void` | `setDecease(DeceaseRequestType value)` Sets the value of the decease property.
    `void` | `setGender(GenderType value)` Sets the value of the gender property.
    `void` | `setName(PersonNameRequestType value)` Sets the value of the name property.
    `void` | `setNationalities(NationalitiesType value)` Sets the value of the nationalities property.
    `void` | `setResidentialAddress(ResidentialAddressRequestType value)` Sets the value of the residentialAddress property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersonRequestType

          public PersonRequestType()

  - ### Method Detail

    - #### getName

          public PersonNameRequestType getName()

      Gets the value of the name property.
      Returns:
        possible object is `PersonNameRequestType`

    - #### setName

          public void setName(PersonNameRequestType value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `PersonNameRequestType`

    - #### getNationalities

          public NationalitiesType getNationalities()

      Gets the value of the nationalities property.
      Returns:
        possible object is `NationalitiesType`

    - #### setNationalities

          public void setNationalities(NationalitiesType value)

      Sets the value of the nationalities property.
      Parameters:
        `value` - allowed object is `NationalitiesType`

    - #### getBirth

          public BirthRequestType getBirth()

      Gets the value of the birth property.
      Returns:
        possible object is `BirthRequestType`

    - #### setBirth

          public void setBirth(BirthRequestType value)

      Sets the value of the birth property.
      Parameters:
        `value` - allowed object is `BirthRequestType`

    - #### getDecease

          public DeceaseRequestType getDecease()

      Gets the value of the decease property.
      Returns:
        possible object is `DeceaseRequestType`

    - #### setDecease

          public void setDecease(DeceaseRequestType value)

      Sets the value of the decease property.
      Parameters:
        `value` - allowed object is `DeceaseRequestType`

    - #### getGender

          public GenderType getGender()

      Gets the value of the gender property.
      Returns:
        possible object is `GenderType`

    - #### setGender

          public void setGender(GenderType value)

      Sets the value of the gender property.
      Parameters:
        `value` - allowed object is `GenderType`

    - #### getCivilStates

          public CivilStatesRequestType getCivilStates()

      Gets the value of the civilStates property.
      Returns:
        possible object is `CivilStatesRequestType`

    - #### setCivilStates

          public void setCivilStates(CivilStatesRequestType value)

      Sets the value of the civilStates property.
      Parameters:
        `value` - allowed object is `CivilStatesRequestType`

    - #### getResidentialAddress

          public ResidentialAddressRequestType getResidentialAddress()

      Gets the value of the residentialAddress property.
      Returns:
        possible object is `ResidentialAddressRequestType`

    - #### setResidentialAddress

          public void setResidentialAddress(ResidentialAddressRequestType value)

      Sets the value of the residentialAddress property.
      Parameters:
        `value` - allowed object is `ResidentialAddressRequestType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.